%% thresholds.m
%
% Calculates entry and exit thresholds from oligopolists' equilibrium continuation values.
% 

%% Create required equilibrium continuation values if necessary.
testrun=~exist('vFuncs','var');

if testrun
    bellman
end

%% Calculate the entry and exit thresholds.
% |bellman.m| creates |maxN|, |vFuncs|, |phi(.)|, and |omega|.
overlineC=zeros(maxN,1);
underlineC=zeros(maxN,1);

for i=1:maxN
    vi=squeeze(vFuncs(:,:,i));
    if min(vi(:,i))<=phi(i);
        overlineC(i)=omega(find(vi(:,i)<=phi(i),1,'last'));
    else
        overlineC(i)=omega(1);
    end

    if min(vi(:,i))==0;
        underlineC(i)=omega(find(vi(:,i)==0,1,'last'));
    else
        underlineC(i)=omega(1);
    end
end

%% Report results if this is a test run.
if testrun
    overlineC
    underlineC
end
