%% goA.m
%
% This file executes all calculations required for ac2a
tic

%% Test version
v=datenum(version('-date'));
if v>=datenum('February 10, 2008')
    disp(['Matlab release ' datestr(v) ' o.k.']);
else
    error('Requires Matlab Release 2008a or higher.');
end

%% Test for the presence of pdflatex and bibtex
disp('Testing LaTeX installation....')
[status,result]=system('pdflatex -version');
if status~=0
    error('pdflatex not available. Please modify your installation and try again.')
else
    disp(result)
end

[status,result]=system('bibtex -version');
if status~=0
    error('bibtex not available. Please modify your installation and try again.')
else
    disp(result)
end
disp('LaTeX installation o.k.')

%% Pencil and paper example
cd('compute');
pencil

%% Example of non-monotonic entry rule
clear
close all
nothreshold

%% Oligopoly experiments for ac2a
clear
close all

% Calculate equilibrium entry and exit thresholds.
experimentI
clear
close all

% Calculate population ordered probit thresholds.
experimentII

%% LaTeX compilation
cd('..');
! pdflatex --save-size=50000 -quiet ac2a
! bibtex ac2a
! pdflatex --save-size=50000 -quiet ac2a
! pdflatex --save-size=50000 -quiet ac2a
! pdflatex --save-size=50000 ac2a

toc

web ac2a.pdf
